/*
 * Programmer:  Timothy E. Hoff
 * File Name:   sfw.h
 * Written:     July 4, 1996
 * Modified:
 * Description: This is the main header file for Simple File Wrapper.
 *
 * Copyright (c) 1996, Timothy E. Hoff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <time.h>
#include "sizes.h"

#ifndef _H_SFW
#define _H_SFW

struct cmd_alias {
    char alias[MAXNAME];                    /* command aliases */
    char exec_path[MAXPATHNAME];            /* full executable name */
    char acl_path[MAXPATHNAME];             /* access control list */
    char log_path[MAXPATHNAME];             /* log file */
    char environ_path[MAXPATHNAME];         /* environment file */
    char *argv[MAXARGC];                    /* mandatory arguments */
    char acl_admin[MAXLOGIN];               /* ACL administrator, owner */
    char new_user[MAXLOGIN];                /* target user (real/effective) */
    char new_group[MAXGROUP];               /* target group (real/effective) */
    int req_passwd;                         /* do passwd authentication */
    int pass_args;                          /* pass optional/user arguments */
    char auth_notify[MAX_ADDRESS];          /* mail to on failed attempts */
    char admin_notify[MAX_ADDRESS];         /* mail to on all attempts */
    char md5_signature[MD5_SIZE];           /* digital signature */
    char *tty_list[MAXTTY];                 /* secure terminal list */
};

struct ace {
    char login[MAXLOGIN];
    int days_allowed[7];
    time_t start_time;
    time_t end_time;
    time_t expiration;
};

enum days {SUN, MON, TUE, WED, THU, FRI, SAT};

#endif /* _H_SFW */
