/*
 * Programmer:  Timothy E. Hoff
 * File Name:   sfwdemo.c
 * Written:     July 7, 1996
 * Modified:
 * Description: This program displays its environment.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>


int main(int argc, char *argv[], char *envp[])
{
    char **ep;
    char buf[4096];
    int i;

    fprintf(stdout, "pid:\t%d\t\t\tppid:\t%d\n", getpid(), getppid());
    fprintf(stdout, "uid:\t%d\t\t\tgid:\t%d\n", getuid(), getgid());
    fprintf(stdout, "euid:\t%d\t\t\tegid:\t%d\n", geteuid(), getegid());

    fprintf(stdout, "\nCommand Line:\n");
    strncpy(buf, argv[0], sizeof(buf));
    for (i=1; i<argc; i++) {
        strncat(buf, " ", (4096 - strlen(buf)));
	strncat(buf, argv[i], (4096 - strlen(buf)));
    }
    fprintf(stdout, "%s\n", buf);

    fprintf(stdout, "\nEnvironment:\n");
    for (ep = envp; *ep; ep++) {
      fprintf(stdout, "%s\n", *ep);
    }

    return;
}
