/*
 * Programmer:  Timothy E. Hoff
 * File Name:   util.c
 * Written:     July 5, 1996
 * Modified:
 * Description: This module provides various utility functions and
 *              routines.
 *
 * Copyright (c) 1996, Timothy E. Hoff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


/*
 * Function Declarations
 */
 
uid_t user_to_id(char *);
char *getctty();
char *strip_path(char *);
int md5_check(char *, char *);

#ifdef _AIX
int setenv(const char *, const char *, int);
#endif

#ifndef _HAVE_ACCESSX
#ifndef _UNISTD_H
/* accessx mode values */
#define F_OK    00          /* does file exist */
#define X_OK    01          /* is file executable by caller */
#define W_OK    02          /* is file writable by caller */
#define R_OK    04          /* is file readable by caller */
#endif

/* accessx who values */
#define ACC_SELF        0x00
#define ACC_INVOKER     0x01
#define ACC_OBJ_OWNER   0x02
#define ACC_OBJ_GROUP   0x04
#define ACC_OTHERS      0x08
#define ACC_ALL         0x20

int accessx(char *, int, int);
#endif /* _HAVE_ACCESSX */
